/*
Uber CSS styles that are common to all proton related themes.
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
*/

/*
-- Scaffolding Styles --
These are applied at the level of a HTML page that embeds the layouts, fragments and pages.
*/

html {
	display: flex;
	font-size: 12px;
}

html, body {
	padding: 0; margin: 0;
	min-width: 100%; min-height: 100%;
	font-family: "Montserrat"; font-weight: 300;
}

@media (min-width: 768px) {
	html { font-size: 12px; }
}

@media (min-width: 992px) {
	html { font-size: 15px; }
}

@media (min-width: 2100px) {
	html { font-size: 16px; }
}

/*
-- Layout Styles --
These are applied at the level of a Latinum layout that embeds fragments and pages.
*/

#page {
	display: flex;
	flex-direction: column;
	min-width: 100%; min-height: 100%;
}

#vert-filler {
	flex-grow: 1;
	padding: 2rem 0 0 0;
}

/*
-- SiteNav L1 Top Styles --
These are applied on the topbar that is embedded in a layout.
*/

#sitenav-l1-top {
	margin: 0; padding: 0;
	background-color: var(--hdr-accent-01);
	color: var(--hdr-title);
	font-family: "Metropolis"; font-size: 1rem;
}

#sitenav-l1-top.landing {
	background-color: var(--hdr-accent-02);
}

#sitenav-l1-top .navbar {
	padding-left: 0; padding-right: 0;
}

#sitenav-l1-top .navbar-brand {
	margin: 0.5rem 0 0.5rem 1rem;
}

#sitenav-l1-top .navbar-brand img {
	max-height: 2.5rem;
}

#sitenav-l1-top .navbar-toggler {
	background-color: var(--hdr-link);
	color: var(--hdr-link-txt);
}

#sitenav-l1-top .navbar-toggler-icon {
	line-height: 100%;
	padding: 0.3rem 0 0.3rem 0;
}

#sitenav-l1-top .nav-item {
	padding: 0 0.1rem;
}

#sitenav-l1-top .nav-link {
	display: block;
	background-color: var(--hdr-link);
	color: var(--hdr-link-txt);
	border-radius: 0;
	padding: 0.7rem 1.1rem 0.6rem 1.1rem;
	line-height: 100%;
	font-weight: 400;
}

#sitenav-l1-top .nav-link:hover {
	background-color: var(--hdr-link-hover);
	color: var(--hdr-link-txt-hover);
}

#sitenav-l1-top.landing .nav-link {
	background-color: var(--hdr-ld-link);
	color: var(--hdr-ld-link-txt);
}

#sitenav-l1-top.landing .nav-link:hover {
	background-color: var(--hdr-ld-link-hover);
	color: var(--hdr-ld-link-txt-hover);
}

@media (min-width: 768px) {
	#sitenav-l1-top .nav-link {
		border-radius: 3px;
	}
}

#sitenav-l2-top {

}

#sitenav-l2-bot {
	margin: 1.5rem 0;
}

.btn-primary {
	background-color: var(--cnt-btn);
	color: var(--cnt-btn-txt);
	border: none; border-radius: 5px;
	padding: 0.9rem 1rem;
	line-height: 100%;
}

.btn-primary:hover {
	background-color: var(--cnt-btn-hover);
	color: var(--cnt-btn-txt-hover);
}

/*
-- Content Styles --
These are applied on the main content that is embedded in a layout.
*/

#maincnt {
	margin: 0px;
	display: flex;
	flex-direction: column;
	justify-content: stretch;
	font-size: 1.1rem;
	background-color: var(--cnt-accent-01);
	color: var(--cnt-txt-01);
}

#maincnt a {
	color: var(--cnt-lnk-txt);
	font-weight: 400;
}

#maincnt a:hover {
	background-color: var(--cnt-lnk-hover);
	color: var(--cnt-lnk-txt-hover);
	font-weight: 400;
}

#maincnt .btn-primary {
	background-color: var(--cnt-btn);
	color: var(--cnt-btn-txt);
}

#maincnt .btn-primary:hover {
	background-color: var(--cnt-btn-hover);
	color: var(--cnt-btn-txt-hover);
}

#maincnt h1 {
	display: block;
	font-family: "Metropolis"; font-weight: 700; font-size: 1.8rem;
	padding: 1.6rem 0 0.5rem 0;
	color: var(--cnt-h1);
}

#maincnt h2 {
	font-family: "Metropolis"; font-weight: 700; font-size: 1.6rem;
	padding: 1.2rem 0 0.5rem 0;
	color: var(--cnt-h2);
}

#maincnt h3 {
	font-family: "Metropolis"; font-weight: 700; font-size: 1.4rem;
	padding: 1rem 0 0.5rem 0;
	color: var(--cnt-h3);
}

#maincnt .highlight {
	padding: 1rem; margin: 1rem 0;
	background-color: var(--cnt-accent-03);
	color: var(--cnt-txt-03);
	border-radius: 5px;
}

#maincnt .highlight pre {
	background-color: var(--cnt-accent-03) !important;
}

#maincnt pre, #maincnt code {
	font-family: "Anonymous Pro";
	font-size: 1em !important;
}

#maincnt table {
	width: 100%;
	margin: 1.5rem 0;
}

#maincnt thead {
	background-color: var(--cnt-accent-03);
	color: var(--cnt-txt-03);
}

#maincnt tr {
	border-left: 1px solid var(--cnt-accent-03);
	border-bottom: 1px solid var(--cnt-accent-03);
}

#maincnt th, #maincnt td {
	border-right: 1px solid var(--cnt-accent-03);
	padding: 0.4rem 0.4rem;
}

#maincnt th {
	font-weight: 500;
	white-space: pre;
}

#maincnt img {
	max-width: 100%;
}